Assignments Assignments

Public Attributes | List of all members
jpeg_decompress_struct Struct Reference

`#include <jpeglib.h>`

## Public Attributes
| jpeg_common_fields
struct jpeg_source_mgr * | src
JDIMENSION | image_width
JDIMENSION | image_height
int | num_components
J_COLOR_SPACE | jpeg_color_space
J_COLOR_SPACE | out_color_space
unsigned int | scale_num
unsigned int | scale_denom
double | output_gamma
boolean | buffered_image
boolean | raw_data_out
J_DCT_METHOD | dct_method
boolean | do_fancy_upsampling
boolean | do_block_smoothing
boolean | quantize_colors
J_DITHER_MODE | dither_mode
boolean | two_pass_quantize
int | desired_number_of_colors
boolean | enable_1pass_quant
boolean | enable_external_quant
boolean | enable_2pass_quant
JDIMENSION | output_width
JDIMENSION | output_height
int | out_color_components
int | output_components
int | rec_outbuf_height
int | actual_number_of_colors
JSAMPARRAY | colormap
JDIMENSION | output_scanline
int | input_scan_number
JDIMENSION | input_iMCU_row
int | output_scan_number
JDIMENSION | output_iMCU_row
int(* | coef_bits )[DCTSIZE2]
JQUANT_TBL * | quant_tbl_ptrs [NUM_QUANT_TBLS]
JHUFF_TBL * | dc_huff_tbl_ptrs [NUM_HUFF_TBLS]
JHUFF_TBL * | ac_huff_tbl_ptrs [NUM_HUFF_TBLS]
int | data_precision
jpeg_component_info * | comp_info
boolean | progressive_mode
boolean | arith_code
UINT8 | arith_dc_L [NUM_ARITH_TBLS]
UINT8 | arith_dc_U [NUM_ARITH_TBLS]
UINT8 | arith_ac_K [NUM_ARITH_TBLS]
unsigned int | restart_interval
boolean | saw_JFIF_marker
UINT8 | JFIF_major_version
UINT8 | JFIF_minor_version
UINT8 | density_unit
UINT16 | X_density
UINT16 | Y_density
boolean | saw_Adobe_marker
UINT8 | Adobe_transform
boolean | CCIR601_sampling
jpeg_saved_marker_ptr | marker_list
int | max_h_samp_factor
int | max_v_samp_factor
int | min_DCT_scaled_size
JDIMENSION | total_iMCU_rows
JSAMPLE * | sample_range_limit
int | comps_in_scan
jpeg_component_info * | cur_comp_info [MAX_COMPS_IN_SCAN]
JDIMENSION | MCUs_per_row
JDIMENSION | MCU_rows_in_scan
int | blocks_in_MCU
int | MCU_membership [D_MAX_BLOCKS_IN_MCU]
int | Ss
int | Se
int | Ah
int | Al
int | unread_marker
struct jpeg_decomp_master * | master
struct jpeg_d_main_controller * | main
struct jpeg_d_coef_controller * | coef
struct jpeg_d_post_controller * | post
struct jpeg_input_controller * | inputctl
struct jpeg_marker_reader * | marker
struct jpeg_entropy_decoder * | entropy
struct jpeg_inverse_dct * | idct
struct jpeg_upsampler * | upsample
struct jpeg_color_deconverter * | cconvert
struct jpeg_color_quantizer * | cquantize

## Member Data Documentation

## ◆ ac_huff_tbl_ptrs

JHUFF_TBL* jpeg_decompress_struct::ac_huff_tbl_ptrs[NUM_HUFF_TBLS]

## ◆ actual_number_of_colors

int jpeg_decompress_struct::actual_number_of_colors

## ◆ Adobe_transform

UINT8 jpeg_decompress_struct::Adobe_transform

## ◆ Ah

int jpeg_decompress_struct::Ah

## ◆ Al

int jpeg_decompress_struct::Al

## ◆ arith_ac_K

UINT8 jpeg_decompress_struct::arith_ac_K[NUM_ARITH_TBLS]

## ◆ arith_code

boolean jpeg_decompress_struct::arith_code

## ◆ arith_dc_L

UINT8 jpeg_decompress_struct::arith_dc_L[NUM_ARITH_TBLS]

## ◆ arith_dc_U

UINT8 jpeg_decompress_struct::arith_dc_U[NUM_ARITH_TBLS]

## ◆ blocks_in_MCU

int jpeg_decompress_struct::blocks_in_MCU

## ◆ buffered_image

boolean jpeg_decompress_struct::buffered_image

## ◆ CCIR601_sampling

boolean jpeg_decompress_struct::CCIR601_sampling

## ◆ cconvert

struct jpeg_color_deconverter* jpeg_decompress_struct::cconvert

## ◆ coef

struct jpeg_d_coef_controller* jpeg_decompress_struct::coef

## ◆ coef_bits

int(* jpeg_decompress_struct::coef_bits)[DCTSIZE2]

## ◆ colormap

JSAMPARRAY jpeg_decompress_struct::colormap

## ◆ comp_info

jpeg_component_info* jpeg_decompress_struct::comp_info

## ◆ comps_in_scan

int jpeg_decompress_struct::comps_in_scan

## ◆ cquantize

struct jpeg_color_quantizer* jpeg_decompress_struct::cquantize

## ◆ cur_comp_info

jpeg_component_info* jpeg_decompress_struct::cur_comp_info[MAX_COMPS_IN_SCAN]

## ◆ data_precision

int jpeg_decompress_struct::data_precision

## ◆ dc_huff_tbl_ptrs

JHUFF_TBL* jpeg_decompress_struct::dc_huff_tbl_ptrs[NUM_HUFF_TBLS]

## ◆ dct_method

J_DCT_METHOD jpeg_decompress_struct::dct_method

## ◆ density_unit

UINT8 jpeg_decompress_struct::density_unit

## ◆ desired_number_of_colors

int jpeg_decompress_struct::desired_number_of_colors

## ◆ dither_mode

J_DITHER_MODE jpeg_decompress_struct::dither_mode

## ◆ do_block_smoothing

boolean jpeg_decompress_struct::do_block_smoothing

## ◆ do_fancy_upsampling

boolean jpeg_decompress_struct::do_fancy_upsampling

## ◆ enable_1pass_quant

boolean jpeg_decompress_struct::enable_1pass_quant

## ◆ enable_2pass_quant

boolean jpeg_decompress_struct::enable_2pass_quant

## ◆ enable_external_quant

boolean jpeg_decompress_struct::enable_external_quant

## ◆ entropy

struct jpeg_entropy_decoder* jpeg_decompress_struct::entropy

## ◆ idct

struct jpeg_inverse_dct* jpeg_decompress_struct::idct

## ◆ image_height

JDIMENSION jpeg_decompress_struct::image_height

## ◆ image_width

JDIMENSION jpeg_decompress_struct::image_width

## ◆ input_iMCU_row

JDIMENSION jpeg_decompress_struct::input_iMCU_row

## ◆ input_scan_number

int jpeg_decompress_struct::input_scan_number

## ◆ inputctl

struct jpeg_input_controller* jpeg_decompress_struct::inputctl

## ◆ JFIF_major_version

UINT8 jpeg_decompress_struct::JFIF_major_version

## ◆ JFIF_minor_version

UINT8 jpeg_decompress_struct::JFIF_minor_version

## ◆ jpeg_color_space

J_COLOR_SPACE jpeg_decompress_struct::jpeg_color_space

## ◆ jpeg_common_fields

jpeg_decompress_struct::jpeg_common_fields

## ◆ main

struct jpeg_d_main_controller* jpeg_decompress_struct::main

## ◆ marker

struct jpeg_marker_reader* jpeg_decompress_struct::marker

## ◆ marker_list

jpeg_saved_marker_ptr jpeg_decompress_struct::marker_list

## ◆ master

struct jpeg_decomp_master* jpeg_decompress_struct::master

## ◆ max_h_samp_factor

int jpeg_decompress_struct::max_h_samp_factor

## ◆ max_v_samp_factor

int jpeg_decompress_struct::max_v_samp_factor

## ◆ MCU_membership

int jpeg_decompress_struct::MCU_membership[D_MAX_BLOCKS_IN_MCU]

## ◆ MCU_rows_in_scan

JDIMENSION jpeg_decompress_struct::MCU_rows_in_scan

## ◆ MCUs_per_row

JDIMENSION jpeg_decompress_struct::MCUs_per_row

## ◆ min_DCT_scaled_size

int jpeg_decompress_struct::min_DCT_scaled_size

## ◆ num_components

int jpeg_decompress_struct::num_components

## ◆ out_color_components

int jpeg_decompress_struct::out_color_components

## ◆ out_color_space

J_COLOR_SPACE jpeg_decompress_struct::out_color_space

## ◆ output_components

int jpeg_decompress_struct::output_components

## ◆ output_gamma

double jpeg_decompress_struct::output_gamma

## ◆ output_height

JDIMENSION jpeg_decompress_struct::output_height

## ◆ output_iMCU_row

JDIMENSION jpeg_decompress_struct::output_iMCU_row

## ◆ output_scan_number

int jpeg_decompress_struct::output_scan_number

## ◆ output_scanline

JDIMENSION jpeg_decompress_struct::output_scanline

## ◆ output_width

JDIMENSION jpeg_decompress_struct::output_width

## ◆ post

struct jpeg_d_post_controller* jpeg_decompress_struct::post

## ◆ progressive_mode

boolean jpeg_decompress_struct::progressive_mode

## ◆ quant_tbl_ptrs

JQUANT_TBL* jpeg_decompress_struct::quant_tbl_ptrs[NUM_QUANT_TBLS]

## ◆ quantize_colors

boolean jpeg_decompress_struct::quantize_colors

## ◆ raw_data_out

boolean jpeg_decompress_struct::raw_data_out

## ◆ rec_outbuf_height

int jpeg_decompress_struct::rec_outbuf_height

## ◆ restart_interval

unsigned int jpeg_decompress_struct::restart_interval

## ◆ sample_range_limit

JSAMPLE* jpeg_decompress_struct::sample_range_limit

## ◆ saw_Adobe_marker

boolean jpeg_decompress_struct::saw_Adobe_marker

## ◆ saw_JFIF_marker

boolean jpeg_decompress_struct::saw_JFIF_marker

## ◆ scale_denom

unsigned int jpeg_decompress_struct::scale_denom

## ◆ scale_num

unsigned int jpeg_decompress_struct::scale_num

## ◆ Se

int jpeg_decompress_struct::Se

## ◆ src

struct jpeg_source_mgr* jpeg_decompress_struct::src

## ◆ Ss

int jpeg_decompress_struct::Ss

## ◆ total_iMCU_rows

JDIMENSION jpeg_decompress_struct::total_iMCU_rows

## ◆ two_pass_quantize

boolean jpeg_decompress_struct::two_pass_quantize

## ◆ unread_marker

int jpeg_decompress_struct::unread_marker

## ◆ upsample

struct jpeg_upsampler* jpeg_decompress_struct::upsample

## ◆ X_density

UINT16 jpeg_decompress_struct::X_density

## ◆ Y_density

UINT16 jpeg_decompress_struct::Y_density

The documentation for this struct was generated from the following file:

- Assignments/JPEG/jpeglib.h